import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';

class TreatWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'treatment information',
      home: Scaffold(
        appBar: AppBar(
          title: Text('treatment information'),
        ),
        body: Center(
          child: Text(
              'การรักษาการแพ้อาหารแบบไม่รุนแรง(อาการประมาณ ต่ำกว่า 30%)\n''     หากลูกของคุณพ่อคุณแม่มีอาการแพ้ที่ไม่รุนแรง เช่น มีผื่นลมพิษตามผิวหนัง การรักษาก็ทำได้โดยง่าย โดยการให้ยาแก้แพ้กลุ่ม antihistamine เช่น atarax, chlorpheniramine (CPM) ฯลฯ ซึ่งจะช่วยให้อาการคัน และผื่นลมพิษ ทุเลาลงได้เร็ว ทั้งนี้การใช้ยาควรอยู่ภายใต้คำแนะนำของแพทย์ และอ่านเอกสารกำกับยาทุกครั้ง หากคุณพ่อคุณแม่มีข้อสงสัยเกี่ยวกับการใช้ยาควรปรึกษาแพทย์ก่อน\n''\nการรักษาในกรณีฉุกเฉิน หรือกรณีแพ้อาหารรุนแรง(อาการประมาณ มากกว่า 30%)\n''     ในเด็กบางรายการแพ้แบบผื่นลมพิษ เป็นเพียงอาการเริ่มแรกของการแพ้อย่างรุนแรง ซึ่งอาจมีอันตรายถึงแก่ชีวิตได้ ซึ่งคุณพ่อคุณแม่ควรสังเกตว่า นอกจากอาการผื่นลมพิษแล้ว ลูกของคุณมีอาการแน่นหน้าอก หรือหายใจไม่ออกด้วยหรือไม่ มีอาการบวมมากขึ้น โดยเฉพาะที่บริเวณใบหน้า รอบตา รอบปาก มีอาการพูดหรือหายใจไม่ได้ร่วมด้วยหรือไม่ มีคลื่นไส้อาเจียน และปวดท้องด้วยหรือเปล่า ถ้าพบอาการเหล่านี้แสดงว่าเป็นอาการแพ้แบบรุนแรง ต้องรีบพบแพทย์โดยเร็ว ภาวะเช่นนี้เรียกว่า angioedema และที่รุนแรงกว่านั้นคือ anaphylaxis ซึ่งจะทำให้เกิดอันตรายถึงแก่ชีวิตได้ถ้าทำการรักษาช้า ซึ่งอาการแพ้อย่างรุนแรงต้องให้การรักษาด้วยการฉีดยา adrenaline และการปฐมพยาบาลอย่างเร่งด่วน ซึ่งต้องทำโดยแพทย์ผู้มีความรู้ความชำนาญและอุปกรณ์ที่พร้อม',
             style: TextStyle(height: 2, fontSize: 20),
          ),
        ),
      ),
    );
  }
}
